<?php
$titlu='Sitemap devoționale';
require'f_sitemap.php';
echo sitemap($adresasite[0].'/devotionale','Devoționale');
$categorii=$conn->query('SELECT`id`,`nume`FROM`devotionale_categorii`ORDER BY`nume`');
while($categorie=$categorii->fetch_row())
{
if(ceil($y1/$pepagyna)>$z1)
{
$z1++;
echo sitemap($adresasite[0].'/devotionale/pagina/'.$z1,'Devoționale - pagina '.$z1);
}
$y2=1;
$z2=1;
echo sitemap($adresasite[0].'/devotionale/categorie/'.$categorie[0].'-'.seo($categorie[1]),'Devoționale, categoria '.htmlspecialchars($categorie[1]));
$devotionale=$conn->query('SELECT`id`,`nume`FROM`devotionale`WHERE`cid`="'.$categorie[0].'"ORDER BY`data`DESC');
while($devotionala=$devotionale->fetch_row())
{
if(ceil($y2/$pepagyna)>$z2)
{
$z2++;
echo sitemap($adresasite[0].'/devotionale/categorie/'.$categorie[0].'-'.seo($categorie[1]).'/pagina/'.$z2,'Devoționale, categoria '.htmlspecialchars($categorie[1]).' - pagina '.$z2);
}
echo sitemap($adresasite[0].'/devotionala/id/'.$devotionala[0].'-'.seo($devotionala[1]),'Devoțională '.htmlspecialchars($devotionala[1]));
$aprecieriile=$conn->query('SELECT COUNT(*)FROM`devotionale_aprecieri`WHERE`pid`="'.$devotionala[0].'"&&`valoare`="1"')->fetch_row()[0];
if($aprecieriile>0)
{
echo sitemap($adresasite[0].'/aprecieri-devotionala/id/'.$devotionala[0].'-'.seo($devotionala[1]).'/tip/aprecieri','Aprecieri devoțională '.htmlspecialchars($devotionala[1]));
$numar_aprecieri=ceil($aprecieriile/$pepagyna);
for($aprecieri=1;$aprecieri<$numar_aprecieri;$aprecieri++)
{
echo sitemap($adresasite[0].'/aprecieri-devotionala/id/'.$devotionala[0].'-'.seo($devotionala[1]).'/tip/aprecieri/pagina/'.($aprecieri+1),'Aprecieri devoțională '.htmlspecialchars($devotionala[1]).' - pagina '.($aprecieri+1));
}
}
$dezaprecieriile=$conn->query('SELECT COUNT(*)FROM`devotionale_aprecieri`WHERE`pid`="'.$devotionala[0].'"&&`valoare`="2"')->fetch_row()[0];
if($dezaprecieriile>0)
{
echo sitemap($adresasite[0].'/aprecieri-devotionala/id/'.$devotionala[0].'-'.seo($devotionala[1]).'/tip/dezaprecieri','Dezaprecieri devoțională '.htmlspecialchars($devotionala[1]));
$numar_dezaprecieri=ceil($dezaprecieriile/$pepagyna);
for($dezaprecieri=1;$dezaprecieri<$numar_dezaprecieri;$dezaprecieri++)
{
echo sitemap($adresasite[0].'/aprecieri-devotionala/id/'.$devotionala[0].'-'.seo($devotionala[1]).'/tip/dezaprecieri/pagina/'.($dezaprecieri+1),'Dezaprecieri devoțională '.htmlspecialchars($devotionala[1]).' - pagina '.($dezaprecieri+1));
}
}
$comentariile=$conn->query('SELECT COUNT(*)FROM`devotionale_comentarii`WHERE`pid`="'.$devotionala[0].'"')->fetch_row()[0];
if($comentariile>0)
{
echo sitemap($adresasite[0].'/comentarii-devotionala/id/'.$devotionala[0].'-'.seo($devotionala[1]),'Comentarii devoțională '.htmlspecialchars($devotionala[1]));
$numar_comentarii=ceil($comentariile/$pepagyna);
for($comentarii=1;$comentarii<$numar_comentarii;$comentarii++)
{
echo sitemap($adresasite[0].'/comentarii-devotionala/id/'.$devotionala[0].'-'.seo($devotionala[1]).'/pagina/'.($comentarii+1),'Comentarii devoțională '.htmlspecialchars($devotionala[1]).' - pagina '.($comentarii+1));
}
}
$notele=$conn->query('SELECT COUNT(*)FROM`devotionale_note`WHERE`pid`="'.$devotionala[0].'"')->fetch_row()[0];
if($notele>0)
{
echo sitemap($adresasite[0].'/note-devotionala/id/'.$devotionala[0].'-'.seo($devotionala[1]),'Note devoțională '.htmlspecialchars($devotionala[1]));
$numar_note=ceil($notele/$pepagyna);
for($note=1;$note<$numar_note;$note++)
{
echo sitemap($adresasite[0].'/note-devotionala/id/'.$devotionala[0].'-'.seo($devotionala[1]).'/pagina/'.($note+1),'Note devoțională '.htmlspecialchars($devotionala[1]).' - pagina '.($note+1));
}
}
$y2++;
}
$y1++;
}
echo$x2;
require'f_fun.php';